# GLM_GTX_spline

GLM_GTX_spline
GTX Extensions (Experimental)

## Functions

template<typename genType >
genType | catmullRom (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
template<typename genType >
genType | cubic (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
template<typename genType >
genType | hermite (genType const &v1, genType const &t1, genType const &v2, genType const &t2, typename genType::value_type const &s)

## Detailed Description

Spline functions.

<glm/gtx/spline.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::catmullRom | ( | genType const & | v1,
|  | genType const & | v2,
|  | genType const & | v3,
|  | genType const & | v4,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a catmull rom curve.

From GLM_GTX_spline extension.

genType glm::cubic | ( | genType const & | v1,
|  | genType const & | v2,
|  | genType const & | v3,
|  | genType const & | v4,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a cubic curve.

From GLM_GTX_spline extension.

genType glm::hermite | ( | genType const & | v1,
|  | genType const & | t1,
|  | genType const & | v2,
|  | genType const & | t2,
|  | typename genType::value_type const & | s
| ) |  |

Return a point from a hermite curve.

From GLM_GTX_spline extension.